import React from "react";
import SellerAbout from "../../components/Seller/SellerAbout";
import PageTitle from "../../components/PageTitle";
import Head from "next/head";

function SellerProfile({ data }) {
  return (
    <>
      <Head>
        <title>{data?.seller?.seo_title}</title>
      </Head>
      <PageTitle
        title={data?.seller?.shop_name}
        pageName={data?.seller?.slug}
      />
      <SellerAbout data={data} />
    </>
  );
}

export default SellerProfile;

export async function getServerSideProps({ params }) {
  const res = await fetch(
    `${process.env.BASE_URL}api/sellers/${params.seller}`
  );
  const data = await res.json();
  return { props: { data } };
}
